Gets specific Purchase Order Receipt Item by unique Purchase Order Receipt id and Purchase Order Receipt Item id
Gets specific Purchase Order Receipt Item by unique Purchase Order Receipt id and Purchase Order Receipt Item id
Path Parameters
Purchase Order Receipt id
Purchase Order Receipt Item id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Purchase Order Receipt Item
PurchaseOrderReceiptItem
Purchase order receipt item
Purchase order receipt item identifier
Purchase order item identifier
Show Child Parameters
Purchase order receipt identifier
Stock receipt identifier
Quantity expected
Quantity received
Quantity faulty
Quantity invoiced
Buy price ex
Supplier buy ex
Unit discount ex
Direct costs ex
Include tax
Quantity received variance
Show Child Parameters
Created on
Show Child Parameters
Modified On
Show Child Parameters
Made Available On
Show Child Parameters
Finalised on
Show Child Parameters
Total buy price ex
Bin
Cogs ex
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Allowed values:Leave On-OrderCancel BalanceReceive BalanceReview LaterCreate Supplier Return
Purchase order receipt item variance reason
Show Child Parameters
Notes
Path Parameters
Headers
Deletes specific Purchase Order Receipt Item by id
Deletes specific Purchase Order Receipt Item by id
Path Parameters
Purchase Order Receipt Id
Purchase Order Receipt Item Id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
Response
Purchase Order Receipt Item was deleted
Path Parameters
Headers
Updates Purchase Order Receipt Item
Sample request:
PUT /purchaseorderreceipts/1/purchaseorderreceiptitems/1
{
"quantity_expected": 1,
"buy_price_ex": 1.1,
"quantity_received": 3,
"quantity_faulty": 2,
"quantity_invoiced": 1,
"unit_discount_ex": 1.1,
"direct_costs_ex": 1.1,
"include_tax": true,
"variance_action": "Leave On-Order",
"variance_reason": {
"id": 1,
"name": "variance reason name"
},
"bin": "bin",
"notes": "notes"
}
Path Parameters
Purchase Order Receipt id
Purchase Order Receipt Item id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Purchase Order Item model
EmptyExample
Response
application/json
Response
Returns updated Purchase Order Receipt Item
PurchaseOrderReceiptItem
Purchase order receipt item
Purchase order receipt item identifier
Purchase order item identifier
Show Child Parameters
Purchase order receipt identifier
Stock receipt identifier
Quantity expected
Quantity received
Quantity faulty
Quantity invoiced
Buy price ex
Supplier buy ex
Unit discount ex
Direct costs ex
Include tax
Quantity received variance
Show Child Parameters
Created on
Show Child Parameters
Modified On
Show Child Parameters
Made Available On
Show Child Parameters
Finalised on
Show Child Parameters
Total buy price ex
Bin
Cogs ex
Total tax
Total buy price inc
Total applied buy price ex
Total direct costs ex
Total cogs ex
Total cogs inc
Allowed values:Leave On-OrderCancel BalanceReceive BalanceReview LaterCreate Supplier Return
Purchase order receipt item variance reason
Show Child Parameters
Notes
Path Parameters
Headers
Body
Applies a discount during Purchase Order Receipt
Sample request:
POST /purchaseorderreceipts/1/discount
{
"discount_amount_type": "Amount",
"distribute_by": "Value",
"discount_amount": 1.1,
"purchase_order_receipt_item_ids": [1, 2]
}
Path Parameters
Purchase Order Receipt id
Example:1
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Body
application/json
Body
Purchase Order Receipt discount model
EmptyExample
Response
Response
Success